Bug 101419 - Filters applied to a <g> via the SVG filter attribute cause their children to repaint (or not) incorrectly
Summary: Filters applied to a <g> via the SVG filter attribute cause their children to...
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: 68469
  Show dependency treegraph
 
Reported: 2012-11-06 18:46 PST by Tim Horton
Modified: 2018-05-17 03:20 PDT (History)
7 users (show)

See Also:


Attachments
testcase (2.68 KB, text/html)
2012-11-06 18:46 PST, Tim Horton
no flags Details
screenshot (52.11 KB, image/png)
2012-11-06 18:47 PST, Tim Horton
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Horton 2012-11-06 18:46:32 PST
See attached test case. Notice how it's white (in Safari, with tiled mode -- in non-tiled-mode, the first paint is OK, but subsequent paints won't be).

Grab with your mouse around 150,150 and drag around. See the screenshot for an example: the path is painted ... sometimes. Sometimes just the shadow is painted. Sometimes neither. Lots of flashes and horribly incorrect invalidation.

Applying the filter via CSS seems to work fine.
Comment 1 Tim Horton 2012-11-06 18:46:53 PST
Created attachment 172695 [details]
testcase
Comment 2 Tim Horton 2012-11-06 18:47:34 PST
Created attachment 172696 [details]
screenshot
Comment 3 Radar WebKit Bug Importer 2012-11-06 18:49:01 PST
<rdar://problem/12650693>
Comment 4 Philip Rogers 2012-11-07 10:56:53 PST
Oh my goodness this is messed up.
Comment 5 Jan Bösenberg 2018-05-17 03:20:13 PDT
Does this bug still persist? It looks solved on Safari 11, maybe it can be closed.